<?php

	function about_app()
	{
		$appname = 'brewer';

		$imgfile = $GLOBALS['phpgw']->common->get_image_dir($appname) . SEP . $appname . '.gif';
		if (file_exists($imgfile))
		{
			$imgpath = $GLOBALS['phpgw']->common->get_image_path($appname) . SEP . $appname . '.gif';
		}
		else
		{
			$imgfile = $GLOBALS['phpgw']->common->get_image_dir($appname) . SEP . 'navbar.gif';
			if (file_exists($imgfile))
			{
				$imgpath = $GLOBALS['phpgw']->common->get_image_path($appname) . SEP . 'navbar.gif';
			}
			else
			{
				$imgpath = '';
			}
		}

		$browser = CreateObject('phpgwapi.browser');
		$os      = $browser->get_platform();
		$agent   = ucfirst(strtolower($browser->get_agent()));
		$version = $browser->get_version();

		$tpl = new Template($GLOBALS['phpgw']->common->get_tpl_dir('brewer'));

		$tpl->set_file(array('body' => 'about.tpl'));

		$tpl->set_var('about_phpgw_brewer','Brewer is an application for the home brewer and beer aficianado.');

		$tpl->set_var('url',$GLOBALS['phpgw']->link('/brewer'));
		$tpl->set_var('image',$imgpath);
		$tpl->set_var('alt',lang('Brewer'));
		$tpl->set_var('version',$version);
		$tpl->set_var('agent',$agent);
		$tpl->set_var('platform',$os);
		$tpl->set_var('appear',lang('You appear to be running'));
		$tpl->set_var('on',lang('on'));

		return $tpl->parse('out','body');
	}
